SDL_GUIDFromString(3)

NAME
SDL_GUIDFromString - Convert a GUID string into a :: SDL_GUID
 structure.

HEADER FILE
Defined in SDL3/SDL_guid.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GUID SDL_GUIDFromString(const char *pchGUID);

DESCRIPTION
Performs no error checking. If this function is given a string containing an invalid GUID, the function will silently succeed, but the GUID generated will not be useful.

FUNCTION PARAMETERS

pchGUID
    string containing an ASCII representation of a GUID

RETURN VALUE
Returns a :: SDL_GUID
 structure.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GUIDToString(3)